Subject: bug#13796: 24.3.50; Minor bug in "(elisp) Managing Overlays"

From: Glenn Morris <[email-masked]>
Date: Sat, 23 Feb 2013 22:35:24 -0500

Xue Fuqiao wrote:

> I think both `move-overlay' and `remove-overlays' can change the
> endpoints of an overlay.  So maybe it is a bug here.

remove-overlays may move them as a side effect. This does not invalidate
the point that

     This is the only valid way to change the endpoints of an overlay.
     Do not try modifying the markers in the overlay by hand, as that
     fails to update other vital data structures and can cause some
     overlays to be "lost".

is trying to make. Anyway, remove-overlays uses move-overlays.